Bug 1319800 - [RFE] Add concept of "system locking"
Summary: [RFE] Add concept of "system locking"
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Configuration Management
Version: 6.1.1
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-21 14:44 UTC by Bryan Kearney
Modified: 2018-09-06 21:22 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-09-04 19:07:04 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 10799 None None None 2017-05-31 20:09 UTC
Red Hat Bugzilla 248475 None None None Never
Red Hat Bugzilla 591284 None None None Never
Red Hat Bugzilla 844926 None None None Never
Red Hat Bugzilla 876590 None None None Never

Internal Trackers: 248475 591284 844926 876590

Description Bryan Kearney 2016-03-21 14:44:35 UTC
Hosts which are managed by satellite may wish to be "locked" so that no changes are accidently made. This lock should ensure that:

1) No new content is consumed by the host
2) No configuration changes are made to the host
3) No remote execution commands are sent to the host 

This was a feature of satellite 5 which can be read about at https://access.redhat.com/documentation/en-US/Red_Hat_Network/5.0.0/html/Reference_Guide/s3-sm-system-details.html.

There are some old bugs aroudn locking which should be included when implementing this RFE:

-- https://bugzilla.redhat.com/show_bug.cgi?id=591284
-- https://bugzilla.redhat.com/show_bug.cgi?id=248475
-- https://bugzilla.redhat.com/show_bug.cgi?id=876590
-- https://bugzilla.redhat.com/show_bug.cgi?id=844926

Comment 1 Ondřej Pražák 2017-04-21 10:57:28 UTC
Created redmine issue http://projects.theforeman.org/issues/19343 from this bug

Comment 2 pm-sat@redhat.com 2017-05-31 20:09:33 UTC
Connecting redmine issue http://projects.theforeman.org/issues/10799 from this bug

Comment 3 Neha Samant 2018-01-31 05:38:03 UTC
Hello,
could we have any update on this please so that the same can be conveyed to the Customer.

Thanks,
Neha

Comment 4 Ondřej Pražák 2018-01-31 09:01:54 UTC
Hi,
there has been no progress on this because of work on items with higher priority.

Comment 5 Bryan Kearney 2018-09-04 18:56:31 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 6 Bryan Kearney 2018-09-04 19:07:04 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.